Bug 238087 - www/firefox: update to 68.0
Summary: www/firefox: update to 68.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL: https://wiki.mozilla.org/Releases/Fir...
Keywords: needs-qa, patch
Depends on: 236651 237677
Blocks: 239155
  Show dependency treegraph
 
Reported: 2019-05-23 22:56 UTC by Jan Beich
Modified: 2019-08-14 14:49 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-05-23 22:56:25 UTC
See review D20391 for the patch.
Comment 1 Jan Beich freebsd_committer 2019-05-25 11:56:05 UTC
Mikaël, can you check build on aarch64? This version will move to www/firefox-esr around 2019-09-03, so it'd be nice if upstream has fixes as well.
Comment 2 mikael.urankar 2019-05-25 14:38:32 UTC
One error in the configure phase (I don't upgrade my ports very often):
ERROR: cbindgen version 0.8.3 is too old. At least version 0.8.7 is required

I'm not familiar with gecko.mk, maybe this patch should do it:
--- bsd.gecko.mk        (revision 502573)
+++ bsd.gecko.mk        (working copy)
@@ -111,7 +111,7 @@
 .endif
 
 .if ${MOZILLA_VER:R:R} >= 63
-BUILD_DEPENDS+=        rust-cbindgen>=0.6.8:devel/rust-cbindgen \
+BUILD_DEPENDS+=        rust-cbindgen>=0.8.7:devel/rust-cbindgen \
                                node:www/node
 .endif
Comment 3 Jan Beich freebsd_committer 2019-05-25 16:34:19 UTC
(In reply to mikael.urankar from comment #2)
Thanks. Applied in ports r502585 as cbindgen version was incorrect even for Firefox 67.0.
Comment 4 mikael.urankar 2019-05-26 08:44:39 UTC
(In reply to Jan Beich from comment #1)
it's ok on aarch64
Comment 5 commit-hook freebsd_committer 2019-07-01 21:09:49 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul  1 21:09:08 UTC 2019
New revision: 505639
URL: https://svnweb.freebsd.org/changeset/ports/505639

Log:
  www/firefox: update to 68.0

  Changes:	https://www.mozilla.org/firefox/68.0/releasenotes/
  PR:		238087
  Security:	0592f49f-b3b8-4260-b648-d1718762656c
  MFH:		2019Q2
  Differential Revision:	https://reviews.freebsd.org/D20391

Changes:
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1530098
  head/www/firefox/files/patch-bug1536126
  head/www/firefox/files/patch-bug847568
Comment 6 commit-hook freebsd_committer 2019-07-19 13:30:51 UTC
A commit references this bug:

Author: cmt
Date: Fri Jul 19 13:30:25 UTC 2019
New revision: 506926
URL: https://svnweb.freebsd.org/changeset/ports/506926

Log:
  www/firefox: update to 68.0.1

  Release Notes: https://www.mozilla.org/en-US/firefox/68.0.1/releasenotes/

  PR:		238087
  Approved by:	gecko@ (jbeich@, implicit)
  MFH:		2019Q3 (blanket: web browser)

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
Comment 7 commit-hook freebsd_committer 2019-07-19 13:32:52 UTC
A commit references this bug:

Author: cmt
Date: Fri Jul 19 13:32:34 UTC 2019
New revision: 506927
URL: https://svnweb.freebsd.org/changeset/ports/506927

Log:
  MFH: r506926

  www/firefox: update to 68.0.1

  Release Notes: https://www.mozilla.org/en-US/firefox/68.0.1/releasenotes/

  PR:		238087
  Approved by:	gecko@ (jbeich@, implicit)

  Approved by:	portmgr blanket: web browser

Changes:
_U  branches/2019Q3/
  branches/2019Q3/www/firefox/Makefile
  branches/2019Q3/www/firefox/distinfo
Comment 8 commit-hook freebsd_committer 2019-08-14 14:49:25 UTC
A commit references this bug:

Author: jbeich
Date: Wed Aug 14 14:48:28 UTC 2019
New revision: 508926
URL: https://svnweb.freebsd.org/changeset/ports/508926

Log:
  www/firefox: update to 68.0.2

  Changes:	https://www.mozilla.org/firefox/68.0.2/releasenotes/
  PR:		238087

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
Comment 9 commit-hook freebsd_committer 2019-08-14 14:49:26 UTC
A commit references this bug:

Author: jbeich
Date: Wed Aug 14 14:49:10 UTC 2019
New revision: 508927
URL: https://svnweb.freebsd.org/changeset/ports/508927

Log:
  MFH: r508926

  www/firefox: update to 68.0.2

  Changes:	https://www.mozilla.org/firefox/68.0.2/releasenotes/
  PR:		238087
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2019Q3/
  branches/2019Q3/www/firefox/Makefile
  branches/2019Q3/www/firefox/distinfo